diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index ce9e8a981ac26d8c1d74fddbba8a9d41170fa856..af0fc1430822a04f24331ce2c32cdc3c4dffec3b 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -7,7 +7,6 @@ default:
     expire_in: 3 days
 
 stages:
-  - init
   - generate
   - process
   - analyze
diff --git a/dis/config.yml b/dis/config.yml
index 0e7aa27968e7bb4a906e3cb2472ff1190e357c75..ac6797a17ffcaef8df24f028a2966e30cedb351f 100644
--- a/dis/config.yml
+++ b/dis/config.yml
@@ -1,20 +1,17 @@
 dis:dummy_test:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   script:
     - dis/dummy_test.sh
 
 dis:dummy_test2:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   script:
     - dis/dummy_test2.sh
 
 dis:dummy_fail_test:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   allow_failure: true
   script:
diff --git a/dummy/config.yml b/dummy/config.yml
index 682fd84ee5c0106e5b3c9bfd7a8e680a62ae79b6..80e0b60aacb882b5d2e557908738885b4c81aba0 100644
--- a/dummy/config.yml
+++ b/dummy/config.yml
@@ -1,20 +1,17 @@
 dummy:dummy_test:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   script:
     - dummy/dummy_test.sh
 
 dummy:dummy_test2:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   script:
     - dummy/dummy_test2.sh
 
 dummy:dummy_fail_test:
   stage: analyze
-  needs: ["detector"]
   timeout: 1 hours
   allow_failure: true
   script:
diff --git a/util/download_events.sh b/util/download_events.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9abecf64a2f2c6f938b9f27f0582f9ad269aa427
--- /dev/null
+++ b/util/download_events.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+## Init the environment
+source config/env.sh
+
+## Generates different configurations from the master configuration
+## for both electron and muon decay channels
+
+echo "Download generator artifacts for one or more of the physics processes"
+
+PROCS=()
+BRANCH="dvmp"
+
+while [ $# -gt 0 ]
+do
+  key="$1"
+  case $key in
+    -p|--process)
+      PROCS+=("$2")
+      shift # past argument
+      shift # past value
+      ;;
+    --branch)
+      BRANCH="$2"
+      shift # past argument
+      shift # past value
+      ;;
+    *)    # unknown option
+      echo "unknown option"
+      exit 1
+      ;;
+  esac
+done
+
+if [ ${#PROCS[@]} -eq 0 ]; then
+  echo "ERROR: need one or more processes: -p <process name> "
+  exit 1
+fi
+
+for proc in ${PROCS[@]}; do
+  echo "Dowloading artifacts for $proc (branch: $BRANCH)"
+  wget https://eicweb.phy.anl.gov/EIC/benchmarks/physics_benchmarks/-/jobs/artifacts/$BRANCH/download?job=${proc}:jpsi_central:generate -O results.zip
+  unzip -u results.zip
+  rm results.zip
+done